> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.argolabs.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.argolabs.ai/_mcp/server.

# Read Stores

GET https://api.argolabs.ai/v1/stores/

Reference: https://docs.argolabs.ai/api-reference/stores/read-stores

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Query parameters

- `skip` (integer, optional)
- `limit` (integer, optional)

## Response

### 200

- `list of StoreResponse`

## Errors

### 422 Unprocessable Entity

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### StoreResponse

- `id` (string, required)
- `name` (map from string to any, required)
- `created_at` (datetime, optional)
- `external_id` (string, optional)
- `store_phone` (string, optional)
- `contacts` (map from string to any, optional)
- `address_line_1` (string, optional)
- `address_line_2` (string, optional)
- `address_line_3` (string, optional)
- `timezone` (string, optional)
- `city` (string, optional)
- `postal_code` (string, optional)
- `country` (string, optional)
- `location_name` (string, optional)
- `admin_area` (string, optional)
- `phone_numbers` (list of PhoneNumber, optional)
- `merchant` (MerchantResponse, optional)
- `store_type` (StoreTypeSchema, optional)
- `restaurant_configuration` (RestaurantConfigurationResponse, optional)

### ValidationError

- `loc` (list of ValidationErrorLocItem, required)
- `msg` (string, required)
- `type` (string, required)

### PhoneNumber

- `id` (string, required)
- `phone_number` (string, required)
- `create_date_time` (datetime, required)

### MerchantResponse

- `created_at` (datetime, required)
- `id` (string, required)
- `brand_name` (string, required)
- `business_type` (BusinessTypeSchema, optional)

### StoreTypeSchema

- `content` (string, optional)
- `business_type` (BusinessTypeSchema, optional)

### RestaurantConfigurationResponse

- `cuisine_type` (CuisineTypeSchema, optional)

### ValidationErrorLocItem

### BusinessTypeSchema

- `name` (string, required)

### CuisineTypeSchema

- `name` (string, required)

## Examples

**Response**

```json
[
  {
    "id": "store_07Tjin0Daw7e6QQzX1Dwc",
    "name": {
      "key": "value"
    },
    "created_at": "2024-01-15T09:30:00Z",
    "external_id": "external_id",
    "store_phone": "store_phone",
    "contacts": {
      "key": "value"
    },
    "address_line_1": "address_line_1",
    "address_line_2": "address_line_2",
    "address_line_3": "address_line_3",
    "timezone": "timezone",
    "city": "city",
    "postal_code": "postal_code",
    "country": "country",
    "location_name": "location_name",
    "admin_area": "admin_area",
    "phone_numbers": [
      {
        "id": "phone_number_07Tsf3lGpp7e6QQzX1Dw7",
        "phone_number": "phone_number",
        "create_date_time": "2024-01-15T09:30:00Z"
      }
    ],
    "merchant": {
      "created_at": "2024-01-15T09:30:00Z",
      "id": "merchant_07T8tRjrW77e6QQzX1Dwk",
      "brand_name": "brand_name",
      "business_type": {
        "name": "name"
      }
    },
    "store_type": {
      "content": "content",
      "business_type": {
        "name": "name"
      }
    },
    "restaurant_configuration": {
      "cuisine_type": {
        "name": "name"
      }
    }
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.argolabs.ai/v1/stores/"

headers = {"x-api-key": "<ApiKeyAuthScheme>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.argolabs.ai/v1/stores/';
const options = {method: 'GET', headers: {'x-api-key': '<ApiKeyAuthScheme>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.argolabs.ai/v1/stores/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<ApiKeyAuthScheme>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.argolabs.ai/v1/stores/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<ApiKeyAuthScheme>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.argolabs.ai/v1/stores/")
  .header("x-api-key", "<ApiKeyAuthScheme>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.argolabs.ai/v1/stores/', [
  'headers' => [
    'x-api-key' => '<ApiKeyAuthScheme>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.argolabs.ai/v1/stores/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<ApiKeyAuthScheme>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<ApiKeyAuthScheme>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.argolabs.ai/v1/stores/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```